<?php
require "acesso.php";

$res = array();

//$id_firma = $_POST["id_firma"]; 
//$id_device = $_POST["id_device"];

$id_firma = "01785409000123";
$id_device = "abcd1234";

$db_dst = "db_{$id_firma}";
$db_src = "ontop_modelo";

try {
    $mysqli = new mysqli("localhost", "$usuario", "$senha");
} catch (\Exception $e) {
    echo $e->getMessage(), PHP_EOL;
}
if ($mysqli->select_db($db_dst) === false) {
    // Create db
    if ($ret = $mysqli->prepare("create database if not exists $db_dst")) {
    $ret->execute();
	$mensagem = $ret->error;
	if ($ret->errno == "0") {
		$tables = $mysqli->query("show tables from $db_src");
		try {
		while( $table = $tables->fetch_array() ): 
		$table2 = $table[0];
			$mysqli->query("create table if not exists $db_dst.$table2 like $db_src.$table2");
		endwhile;
		} catch (\Exception $e) {
			echo $e->getMessage(), PHP_EOL;
		}
		$res["sucesso"] = 1;
    } else {
		$res["sucesso"] = 0;
    }
	} else {
		$res["sucesso"] = 0;
	}
} else {
	$res["sucesso"] = 0;
}
echo json_encode($res);
/*



$con = new PDO("mysql:dbname=$database; charset=utf8", $usuario, $senha);

if (isset($_POST['novo'])) {
    $arnomvde = $_POST['arnomvde'];
    $arsenvde = $_POST['arsenvde'];
    $desativado = $_POST['desativado'];
    $ativo = $_POST['ativo'];
    $ret = $con->prepare("INSERT INTO vendedor (arnomvde, arsenvde, sr_deleted, areativo, artipvde_1, id_firma) VALUE ('$arnomvde', '$arsenvde', '$desativado', '$ativo', '1', '$id_firma')");
    try {
        $ret->execute();
    } catch (PDOException $e) {
        $res['pdo'] = $e->getMessage();
    }
    $mensagem = $ret->errorInfo();
    if ($mensagem[0] == "00000") {
        $res['id'] = $con->lastInsertId();
        $arcodvde = $con->lastInsertId();
        $ret = $con->prepare("UPDATE vendedor SET arcodvde = LPAD('$arcodvde', 3, '0') WHERE sr_recno = $arcodvde");
        $ret->execute();
        $mensagem = $ret->errorInfo();
        if ($mensagem[0] == "00000") {
            $res["arcodvde"] = $arcodvde;
            $res["sucesso"] = 1;
        } else {
            $res["sucesso"] = 0;
        }
    } else {
        $res['sucesso'] = 0;
        $res['mensagem'] = $mensagem[2];
    }
} else {
    $ret = $con->prepare("SELECT * FROM vendedor WHERE id_firma = '$id_firma'");
    $ret->execute();
    $mensagem = $ret->errorInfo();
    if ($ret->rowCount() > 0) {
        $res["vendedores"] = array();
        while ($row = $ret->fetch(PDO::FETCH_ASSOC)) {
            array_push($res["vendedores"], $row);
        }
        $res["sucesso"] = 1;
    } else {
        $res['sucesso'] = 0;
        $res['mensagem'] = $mensagem[2];
    }
}
echo json_encode($res);
$con = null;*/
